/*
 * This file is part of ArmarX.
 *
 * ArmarX is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * ArmarX is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * @package    RobotAPI
 * @author     Peter Kaiser <peter dot kaiser at kit dot edu>
 * @date       2014
 * @copyright  http://www.gnu.org/licenses/gpl-2.0.txt
 *             GNU General Public License
 */

#ifndef _ARMARX_ROBOTAPI_UNITS_HAPTIC_SLICE_
#define _ARMARX_ROBOTAPI_UNITS_HAPTIC_SLICE_

#include <units/UnitInterface.ice>
#include <core/UserException.ice>
#include <core/BasicTypes.ice>
#include <observers/VariantBase.ice>
#include <observers/Matrix.ice>
#include <observers/Timestamp.ice>
#include <observers/ObserverInterface.ice>
#include <robotstate/RobotState.ice>

module armarx
{
    interface HapticUnitInterface extends armarx::SensorActorUnitInterface
    {
    };

    interface HapticUnitListener
    {
        void reportSensorValues(string device, string name, MatrixFloatBase values, TimestampBase timestamp);
    };

    interface HapticUnitObserverInterface extends ObserverInterface, HapticUnitListener
    {
    };

};

#endif
