/*
 * This file is part of ArmarX.
 *
 * ArmarX is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * ArmarX is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * @package    RobotAPI
 * @author     David Schiebener <schiebener at kit dot edu>
 * @copyright  2014 David Schiebener
 * @license    http://www.gnu.org/licenses/gpl.txt
 *             GNU General Public License
 */

#ifndef _ARMARX_ROBOTAPI_UNITS_HEADIK_SLICE_
#define _ARMARX_ROBOTAPI_UNITS_HEADIK_SLICE_

#include <units/UnitInterface.ice>
#include <core/UserException.ice>
#include <core/BasicTypes.ice>
#include <observers/VariantBase.ice>
#include <observers/ObserverInterface.ice>
#include <robotstate/RobotState.ice>
#include <robotstate/PoseBase.ice>

module armarx
{

    interface HeadIKUnitInterface extends armarx::SensorActorUnitInterface
    {
        void setCycleTime(int milliseconds);
        void setHeadTarget(string robotNodeSetName, FramedVector3Base targetPosition);
    };

};

#endif
