/**
 * This file is part of ArmarX.
 *
 * ArmarX is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * ArmarX is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * @package    RobotAPI::ArmarXObjects::WeissHapticSensorListener
 * @author     Simon Ottenhaus ( simon dot ottenhaus at kit dot edu )
 * @date       2014
 * @copyright  http://www.gnu.org/licenses/gpl.txt
 *             GNU General Public License
 */

#include "WeissHapticSensorListener.h"


using namespace armarx;


void WeissHapticSensorListener::onInitComponent()
{
    this->usingTopic("HapticValues");
    ARMARX_LOG << "WeissHapticSensorListener::onInitComponent()";
}


void WeissHapticSensorListener::onConnectComponent()
{

}


void WeissHapticSensorListener::onDisconnectComponent()
{

}


void WeissHapticSensorListener::onExitComponent()
{

}

PropertyDefinitionsPtr WeissHapticSensorListener::createPropertyDefinitions()
{
    return PropertyDefinitionsPtr(new WeissHapticSensorListenerPropertyDefinitions(
                                      getConfigIdentifier()));
}

void armarx::WeissHapticSensorListener::reportSensorValues(const std::string& device, const std::string& name, const armarx::MatrixFloatBasePtr& values, const armarx::TimestampBasePtr& timestamp, const Ice::Current&)
{
    ARMARX_LOG << deactivateSpam(1) << "WeissHapticSensorListener::reportSensorValues" << MatrixFloatPtr::dynamicCast(values)->toEigen();

}

